Docs Rizler

Phone Numbers

Bulk Action Phone Numbers

POSThttps://app.rizzdial.com/api/phone-numbers/bulk-action
Bulk Action Phone Numbers
curl --request POST \
  --url https://app.rizzdial.com/api/phone-numbers/bulk-action \
  --header 'Authorization: Bearer <token>' \
  --header 'Content-Type: application/json' \
  --data '{
  "ids": [
    12,
    13
  ],
  "action": "verified"
}'
{
  "message": "2 phone number(s) updated.",
  "success": true
}

Bulk Action Phone Numbers#

Runs one action on several numbers. Ids may be numeric, base64, or encrypted.

Authorizationstringheaderrequired

Bearer token in the format: Bearer {access_token}

idsarraybodyrequired

Phone number ids

actionstringbodyrequired

verified, unverified, spam_protect, activate_ai, or delete

curl --request POST \
  --url https://app.rizzdial.com/api/phone-numbers/bulk-action \
  --header 'Authorization: Bearer {{bearer_token}}' \
  --header 'Content-Type: application/json' \
  --data '{"ids":[12,13],"action":"verified"}'
successboolean

true when the action ran

messagestring

Result text, including per-number errors when some rows fail